<script setup>
import { ref } from "vue";

// Start here your app logic
const ans = ref(" ");

const fApply = () => {
  ans.value = eval(ans.value);
};
const fC = () => {
  ans.value = " ";
};
const fDiv = () => {
  ans.value += "/";
};
const fTimes = () => {
  ans.value += "*";
};
const fPlus = () => {
  ans.value += "+";
};
const fMinus = () => {
  ans.value += "-";
};
const fDot = () => {
  ans.value += ".";
};
const f0 = () => {
  ans.value += "0";
};
const f1 = () => {
  ans.value += "1";
};
const f2 = () => {
  ans.value += "2";
};
const f3 = () => {
  ans.value += "3";
};
const f4 = () => {
  ans.value += "4";
};
const f5 = () => {
  ans.value += "5";
};
const f6 = () => {
  ans.value += "6";
};
const f7 = () => {
  ans.value += "7";
};
const f8 = () => {
  ans.value += "8";
};
const f9 = () => {
  ans.value += "9";
};
</script>
<template>
  <div class="main">
    <div class="calc">
      <div class="display">{{ ans }}</div>
      <div class="controls">
        <!--1 row-->
        <div class="controls--cell">
          <button class="controls--btn" @click="fC">C</button>
        </div>
        <div class="controls--cell"></div>
        <div class="controls--cell"></div>
        <div class="controls--cell">
          <button class="controls--btn" @click="fDiv">/</button>
        </div>
        <!--2 row-->
        <div class="controls--cell">
          <button class="controls--btn" @click="f7">7</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="f8">8</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="f9">9</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="fTimes">*</button>
        </div>
        <!--3 row-->
        <div class="controls--cell">
          <button class="controls--btn" @click="f4">4</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="f5">5</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="f6">6</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="fMinus">-</button>
        </div>
        <!--4 row-->
        <div class="controls--cell">
          <button class="controls--btn" @click="f1">1</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="f2">2</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="f3">3</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="fPlus">+</button>
        </div>
        <!--5 row-->
        <div class="controls--cell">
          <button class="controls--btn" @click="f0">0</button>
        </div>
        <div class="controls--cell"></div>
        <div class="controls--cell">
          <button class="controls--btn" @click="fDot">.</button>
        </div>
        <div class="controls--cell">
          <button class="controls--btn" @click="fApply">=</button>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
.main {
  display: flex;
  flex-direction: row;
  font-family: 'Courier New', Courier, monospace;
}
.calc {  
  margin: 50px auto;
}
.display {
  @apply bg-teal-100 border-t-4 border-teal-500 rounded-b text-teal-900 px-4 py-3 shadow-md mb-5;
  text-align: right;
  min-height: 3.3em;
}
.controls {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(5, 1fr);
  gap: 10px;
}
.controls--cell {
  
}
.controls--btn {
  @apply bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 border border-blue-700 rounded;
}
</style>
